///////////////////////////////////////////////////////////
//  Course.cpp
//  Implementation of the Class Course
//  Created on:      12-7-2011 0:02:26
//  Original author: u90499
///////////////////////////////////////////////////////////

#include "Course.h"


Course::Course(Em_CourseKind::eCourseKind iCourseKind):
m_iCourseKind(iCourseKind)
{
	//in/out切り替え
	m_iSectionMax = 12;
	//走行知識
	st_section section;

	if(m_iCourseKind == Em_CourseKind::IN){  //In Course
		
		
		for(int i = 0;i<13;i++){
		
			// スタート時は速度 50 / 200 mm
			section.isectionID = i;
			section.lDistance_mm = 100;
			section.lSpeed = 70;// 70;
			section.bLineTrace = true;
			section.Position.mX = 100;
			section.Position.mY = 100;
			m_section[i] = section;
		}


	}else if(m_iCourseKind == Em_CourseKind::OUT){

		// スタート時は速度 50 / 200 mm 
		for(int i = 0;i<13;i++){
		
			// スタート時は速度 50 / 200 mm
			section.isectionID = i;
			section.lDistance_mm = 200;
			section.lSpeed = 70;// 70;
			section.bLineTrace = true;
			section.Position.mX = 100;
			section.Position.mY = 100;
			m_section[i] = section;
		}

	} else{
		
	}
}



Course::~Course(){

}
